<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">locations</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_locations" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 8]&gt;</out:text>
		<link href="css/demo_ie_only.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="css/demo_print_web.css" media="print" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/demo_mobile.css" media="only screen and (max-width: 1024px)" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/pagingtable.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/jquery.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.pager.js" type="text/javascript" xmlns=""></script>
		<script src="js/pagingtable.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div _use="group" class="pagingTableContainer vertical" id="PagingTable_container_group" xmlns="">
			<div class="pagingTableLabelBackground" id="PagingTable_container_group_label_container">
				<h2 class="label" id="PagingTable_container_group_label">Records</h2>
			</div>
			<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="PagingTable" summary="">
				<thead>
					<tr id="table_content_headings">
						<th class="labelBackground" id="id_label_container" scope="col">
							<span class="label" id="id_label">ID</span>
						</th>
						<th class="labelBackground" id="name_label_container" scope="col">
							<span class="label" id="name_label">Name</span>
						</th>
						<th class="labelBackground" id="btnChoose_label_container" scope="col" />
					</tr>
				</thead>
				<tbody id="PagingTable_body">
					<out:for-each select="/mvc:eForm/mvc:Data/fingerprintLocations/record">
						<out:variable name="PagingTableLoopEntry" select="." />
						<out:variable name="PagingTableLoopCount">
							<out:text>PagingTable</out:text>
							<out:value-of select="position()" />
						</out:variable>
						<out:variable name="PagingTable-repeat-position-number">
							<out:value-of select="position()" />
						</out:variable>
						<tr class="repeatRow table" id="{$PagingTableLoopCount}table_content">
							<td class="defaultBackground" id="{$PagingTableLoopCount}id_container">
								<span class="output" id="{$PagingTableLoopCount}id">
									<out:choose>
										<out:when test="not(id) or (id = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="id" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$PagingTableLoopCount}name_container">
								<span class="output" id="{$PagingTableLoopCount}name" onclick="return nameonclick((typeof(event) != 'undefined') ? event : arguments[0], '{$PagingTableLoopCount}');">
									<out:choose>
										<out:when test="not(name) or (name = '')">
											<out:text disable-output-escaping="yes">&amp;#160;</out:text>
										</out:when>
										<out:otherwise>
											<out:value-of select="name" />
										</out:otherwise>
									</out:choose>
								</span>
							</td>
							<td class="defaultBackground" id="{$PagingTableLoopCount}btnChoose_container">
								<input class="button" id="{$PagingTableLoopCount}btnChoose" name="{$PagingTableLoopCount}btnChoose" onclick="return btnChooseonclick((typeof(event) != 'undefined') ? event : arguments[0], '{$PagingTableLoopCount}');" type="button" value="Choose" />
							</td>
						</tr>
					</out:for-each>
					<out:if test="not(/mvc:eForm/mvc:Data/fingerprintLocations/record)">
						<tr>
							<td class="noRepeatData" colspan="3" id="PagingTable_empty">No Data Found</td>
						</tr>
					</out:if>
				</tbody>
			</table>
			<script type="text/javascript">
hyf.pagingtable.init(hyf.pagingtable.getLastTableOutput(), {enablePaging:true, pageSize:3, stripeRows:true});
<!-- For further details on paramters and options, view the script file: js/pagiingtable.js -->
			</script>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/fingerprintLocations/record">
				<out:variable name="PagingTableLoopEntry" select="." />
				<out:variable name="PagingTableLoopCount">
					<out:text>PagingTable</out:text>
					<out:value-of select="position()" />
				</out:variable>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$PagingTableLoopCount" />
				<out:text>id</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
				<out:text>
            field = document.getElementById('</out:text>
				<out:value-of select="$PagingTableLoopCount" />
				<out:text>name</out:text>
				<out:text>');</out:text>
				<out:text disable-output-escaping="yes">field.setAttribute('_use','output');</out:text>
			</out:for-each>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function nameonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'name', repeatId: repeatId, field: document.getElementById(repeatId + 'name')};

                return dojo.hitch(objEventSource.field, function(){
                    alert(objEventSource.repeatId);
                    })();
            }
            
            function btnChooseonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if ((sourceComponent != null) &amp;&amp; (sourceComponent.nodeType == 3)) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'btnChoose', repeatId: repeatId, field: document.getElementById(repeatId + 'btnChoose')};

                return dojo.hitch(objEventSource.field, function(){
                    alert(objEventSource.repeatId);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
